Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1270690 - Task list: Active Tab shows completed tasks (especially on slower machines)
Summary: Task list: Active Tab shows completed tasks (especially on slower machines)
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: CR1
: 6.2.0
Assignee: Neus Miras
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks: 1273988
TreeView+ depends on / blocked
 
Reported: 2015-10-12 07:33 UTC by Jan Hrcek
Modified: 2020-03-27 20:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:08:05 UTC
Type: Bug


Attachments (Terms of Use)
Video illustrating the issue (2.67 MB, application/octet-stream)
2015-10-12 07:33 UTC, Jan Hrcek
no flags Details
Screenshot from selenium test in firefox 38 (79.20 KB, image/png)
2015-10-12 07:34 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2015-10-12 07:33:34 UTC
Created attachment 1081900 [details]
Video illustrating the issue

Description of problem:
The "Active" Tab sometimes displays tasks in status completed.

This seems like a regression that was introduced on 6.3.x AFTER BPM SUite 6.2 ER3.

On my (fast) laptop the completed tasks are shown in Active tab only sometimes and for a split of second. But on slower computers the completed tasks are sometimes shown permanently (until next auto refresh). It looks as if 2 data set lookups were done and sometimes the one that also shows completed tasks "wins".

Version-Release number of selected component (if applicable):
recent BPM Suite 6.3.x snapshot

How reproducible:
Often on slow machines - in particular on our slow Windows slaves with InternetExplorer 11 (see video attachment illustrating the issue), but I saw this on firefox as well (see screenshot).

Steps to Reproduce:
1. Create several ad-hoc tasks and complete some of them.
2. Select Active tab
3. Click 'Restore default filters' to reload task list. 
4. Repeat step 3 many times.

Actual results:
Sometimes (red) rows for completed tasks are displayed for a second. On slower machines the rows of completed tasks remain displayed until the next autorefresh of tasklist.

Expected results:
Active tab should only display active tasks.

Additional info:

Comment 1 Jan Hrcek 2015-10-12 07:34:48 UTC
Created attachment 1081901 [details]
Screenshot from selenium test in firefox 38

Comment 2 Jan Hrcek 2015-10-12 07:43:09 UTC
Additional info: this seems to happen only when tables in tasks list are being initialized (when entering task list or after clicking "restore detault filters"). This never happens when clicking "refresh" or when just switching between tabs.

Comment 3 Kris Verlaenen 2015-10-13 12:51:35 UTC
Note that (from my experience) this seems to be a refresh issue related to the multiple tabs, as the data shown in the table (when switching perspectives) seems to be the tasks that normally would be shown in another tab (the last tab most likely, as this is loaded last).  So if the all tab is last, you might see completed tasks in the active tab.  If the last tab if for example a custom filter, you might end up with those tasks on your active tab.

Comment 4 Neus Miras 2015-10-13 16:42:12 UTC
I have been generated this PR to the 6.3.x

https://github.com/droolsjbpm/jbpm-console-ng/pull/194

to reduce the number of queries launched. It's true that when a tab is removed by default launch the query of the previous tab. In this commit the queries are disabled when the tabs has been restored.
It has to be enough because only load the query of the tab that is shown.
The problem is I couldn't reproduce the behavior reported but this commit has to reduce the queries and at least ensure avoid the crossing results.

I put the bz at need more info to be sure that the problem is resolved.

Comment 5 Jan Hrcek 2015-10-19 11:12:41 UTC
I tested the PR locally and I can no longer reproduce this issue. I vote for merging the PR.

Comment 7 Pavel Kralik 2015-10-22 18:08:54 UTC
I experienced this behaviour with BPMS 6.2.0.ER4/EAP6.4.3 in Process Instances perspective. FF38 and Chrome41.

Comment 8 Jan Hrcek 2015-11-09 07:12:44 UTC
Verification blocked by bug # 1277466 
Will be verified with the next build after that bug is fixed.

Comment 9 Jan Hrcek 2015-11-20 08:26:19 UTC
Ok, completed tasks are no longer shown in Active tab. Verified with BPM Suite 6.2.0 CR1


Note You need to log in before you can comment on or make changes to this bug.